{{> partials/header}}
     
{{> partials/navbar}}


<section class="section bg-gray pt-15 pb-20" style="min-height: 70vh;">

    <div class="container job-detail-container">
      <div class="card p-30 job-detail-card">
        <div class="container">
          <div class="row">
            <div class="col-lg-9 col-12">
              <h5 class="fw-600 mb-0">JOB DETAILS</h5>
              <h2>
                {{ information.title }}
              </h2>
              <div class="" style="max-width: 65vw; min-height: 5rem">
                <p
                  style="white-space: pre-wrap;"
                >{{{ information.description }}}</p>
              </div>
            </div>
            <div class="col-lg-3 col-12 job-info">
              <a
                data-toggle="modal"
                data-target="#shareModal"
                class="share-link"
              >
                <i class="fas fa-share-alt"></i> SHARE
              </a>
              <div class="info-details">
                <b
                  >${{ budget
                  }}
                  USD</b
                >
                <p>{{ paymentType }}</p>
              </div>
              <div class="info-details">
                <b>{{ deadline }}</b>
                <p>Deadline</p>
              </div>
              {{ #information.weeklyCommitment }}
              <div
                class="info-details"
              >
                <b>{{ information.weeklyCommitment }} hrs</b>
                <p>Total hours</p>
              </div>
              {{ /information.weeklyCommitment }}
              
              <div class="info-details">
                <b>Attachments</b>
                {{ #attachmentName }}
                <a
                  href="{{ attachmentUrl }}"
                  target="_blank"
                >
                  <p>
                    <i class="fas fa-paperclip"></i>
                    {{
                      attachmentName
                    }}
                  </p>

                </a>
                {{ /attachmentName }}
                
                <p>
                  {{ ^attachmentName }}
                
                  <i>No attachment provided</i
                  >
                  {{ /attachmentName }}
                  
                </p>
              </div>
            </div>
          </div>
          <div class="row my-15">
            <div class="col-md-9 col-sm-8">
              {{ #skills}}
                  <a href="/search?query={{encoded}}">
                  <span _ngcontent-c21="" style="outline:none; margin-right: 5px;" tabindex="0" class="ng-star-inserted">
                    <app-skill-tag _ngcontent-c21="" _nghost-c20="" ><span _ngcontent-c20="" class="skill-tag pointer"><i _ngcontent-c20="" aria-hidden="true" class="fa fa-tag"></i>&nbsp;{{skill}}
                      </span>
                    </app-skill-tag>
                  </span>
                  </a>
              {{ /skills}}
            </div>

          </div>
        </div>
      </div>
      <div class="container p-30 job-actions-card">
        <div class="row">
          <div class="col-sm-8">
            <h5>PROPOSED TERMS</h5>
          </div>
          <div class="col-sm-4 text-right text-left-mobile">
            {{ #isOpen }}
            <div class="status-div">
              <span class="jobStatus">
                <i class="circle-success fas fa-circle"></i>&nbsp;
                {{ state }}
              </span>
            </div>
            {{ /isOpen }}
            {{ ^isOpen }}            
            <div class="status-div">
              <span class="jobStatus">
                <i class="circle-danger fas fa-circle"></i>&nbsp; Job closed
              </span>
            </div>
            {{ /isOpen }}            

          </div>
          <div class="col-12">
            <a href="/profile/{{user.slug}}" style="color: #535353;">
            <div
              class="otherPartyName pointer"
            >
              <app-avatar _ngcontent-c8="" _nghost-c3="">
                <div _ngcontent-c3="" class="app-avatar headshot-div smart-avatar"  data-u="{{{user.avatarUrl}}}" data-i="{{user.avatarInitials}}">
                </div>
              </app-avatar>
              <p style="font-style: 21px;">
                {{ user.name
                }}{{#user.verified}}
                      <app-verified-mark _ngcontent-c8="" _nghost-c19="">
                        <span _ngcontent-c19="" class="verified-mark ng-star-inserted"><i _ngcontent-c19="" class="fa fa-check-circle"></i></span>
                      </app-verified-mark>
                      {{/user.verified}}
              </p>
            </div>
            </a>
            <b
              >${{ budget
              }}
              USD</b
            >
            <p>
              This project is set at a {{ paymentType
              }}<br />
              {{ #information.weeklyCommitment }}
              {{ information.weeklyCommitment }}
              hours, 
              over {{ /information.weeklyCommitment }}
              {{ information.timelineExpectation }} period.
            </p>
            <hr/>
          </div>
          {{ #bids.length }}
          <div class="col-12">
            <p><b>Total Bid(s) : </b>{{ bids.length }}</p>
          </div>
          {{ /bids.length }}

          <!--<div class="col-12" *ngIf="!currentUser && !myJob && isOpen">
            <span
              >Sign up to be a CanWork service provider to bid on this job.
              <a [routerLink]="['/auth']">Create one now.</a></span
            >
          </div>-->
          
          {{ #isOpen }}
          <div class="col-12" >
            <a href="{{{bidUrl}}}" class="btn btn-primary mt-5 mr-5">
              PLACE BID
            </a>

          </div>
          {{ /isOpen }}
          
          
        </div>
      </div>
    </div>


</section>

<div id="shareModal" class="modal fade" *ngIf="job && canSee" role="dialog">
  <div border-none class="modal-dialog">
    <!-- Modal content-->
    <div class="modal-content">
      <div border-none class="modal-header  text-center">
        <div class="col-12">
          <h5 class="modal-title">SHARE THIS JOB AS A LINK</h5>
        </div>
        <button
          type="button"
          class="close"
          style="position: absolute; right: 15px;"
          data-dismiss="modal"
        >
          &times;
        </button>
      </div>
      <div border-none class="modal-body">
        <div class="container">
          <div class="row">
            <div class="col-12">
              <div class="row px-15"></div>
              <div class="row px-15">
                <div class="col-12 text-center">
                  <span>URL:</span>
                  <br />
                  <br />
                  <p class="link-col p-10" id="shareLink">{{{shareLink}}}</p>
                  <button id="copyLink" class="btn btn-primary mt-5">
                    COPY LINK
                  </button>
                </div>
              </div>
              <div class="row">
                <div class="col-12 text-center">
                  <small id="copied"  style="display:none;">Copied!</small>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>


<app-scroll-top _ngcontent-c5="" _nghost-c18="">
  <a _ngcontent-c18="" class="scroll-top" href="#">
    <i _ngcontent-c18="" class="fa fa-angle-up"></i>
  </a>
</app-scroll-top>

{{> partials/footer}}
    